English

Error: Incompatible ArcSDE direct connect driver

Error Message

Direct connect from ArcGIS Desktop 9.3 to ArcSDE 9.2 results in the following error:

"Failed to connect to the specified server. [Incompatible ArcSDE direct connect driver/database instance release - Newer DC driver attempting to
connect to older arcsde database instance.ArcSde Direct Connect driver
release - 93002; ArcSde database instance release - 92011; ArcSde low
release for instance - 92005]".

Cause

The direct connect compatibility drivers are not installed. This is a separate install from the Desktop install.

Solution or Workaround

Note:
To connect from an ArcGIS or ArcIMS 9.3 client to an ArcSDE 9.1 or 9.0 geodatabase, the geodatabase has to be upgraded to the latest ArcSDE service pack or patch for 9.1 or 9.0:
- ArcSDE 9.0 general Update Patch 3 and ArcSDE 9.0 Reconcile and Post Patch.
- ArcSDE 9.1 general Update Patch 3 and ArcSDE 9.1 Reconcile and Post Patch.
- A 9.3 client can connect to the final release of ArcSDE 9.2 or any service pack level thereafter.

Note:
Direct connect compatibility is not supported with the following:
- ArcSDE 9.0 or 9.1 geodatabases on Oracle8i.
- ArcSDE 9.0, 9.1, or 9.2 geodatabases on Informix.

Warning:
If multiple ArcGIS 9.2 products are being installed on the same machine, ensure that all the products are installed before installing the direct connect drivers.

  1. Exit all desktop applications.
  2. On Windows, execute the install from the installation dialog box. Insert the Desktop 9.3 media and select 'ArcGIS Pre 9.3 GDB Direct Connect'.

    Alternatively, navigate to the GDBDirectConnect folder located on the installation media.
  3. Run the setup.msi.

Related Information